Open CASCADE Technology: TopOpeBRepDS_DSS Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
TopOpeBRepDS_DSS Class Reference

`#include <TopOpeBRepDS_DSS.hxx>`

## Public Member Functions
| TopOpeBRepDS_DSS ()
void | Clear ()
Standard_Integer | AddShape (const TopoDS_Shape &S)
| Insert a shape S. Returns the index. More...
Standard_Integer | AddShape (const TopoDS_Shape &S, const Standard_Integer I)
| Insert a shape S which ancestor is I = 1 or 2. Returns the index. More...
Standard_Boolean | KeepShape (const Standard_Integer I, const Standard_Boolean K=Standard_True) const
Standard_Boolean | KeepShape (const TopoDS_Shape &S, const Standard_Boolean K=Standard_True) const
void | ChangeKeepShape (const Standard_Integer I, const Standard_Boolean K)
void | ChangeKeepShape (const TopoDS_Shape &S, const Standard_Boolean K)
const TopOpeBRepDS_ListOfInterference & | ShapeInterferences (const TopoDS_Shape &S, const Standard_Boolean K=Standard_True) const
TopOpeBRepDS_ListOfInterference & | ChangeShapeInterferences (const TopoDS_Shape &S)
const TopOpeBRepDS_ListOfInterference & | ShapeInterferences (const Standard_Integer I, const Standard_Boolean K=Standard_True) const
TopOpeBRepDS_ListOfInterference & | ChangeShapeInterferences (const Standard_Integer I)
const TopTools_ListOfShape & | ShapeSameDomain (const TopoDS_Shape &S) const
TopTools_ListOfShape & | ChangeShapeSameDomain (const TopoDS_Shape &S)
const TopTools_ListOfShape & | ShapeSameDomain (const Standard_Integer I) const
TopTools_ListOfShape & | ChangeShapeSameDomain (const Standard_Integer I)
TopOpeBRepDS_MapOfIntegerShapeData & | ChangeShapeData ()
void | AddShapeSameDomain (const TopoDS_Shape &S, const TopoDS_Shape &SSD)
void | RemoveShapeSameDomain (const TopoDS_Shape &S, const TopoDS_Shape &SSD)
Standard_Integer | SameDomainRef (const Standard_Integer I) const
Standard_Integer | SameDomainRef (const TopoDS_Shape &S) const
void | SameDomainRef (const Standard_Integer I, const Standard_Integer Ref)
void | SameDomainRef (const TopoDS_Shape &S, const Standard_Integer Ref)
TopOpeBRepDS_Config | SameDomainOri (const Standard_Integer I) const
TopOpeBRepDS_Config | SameDomainOri (const TopoDS_Shape &S) const
void | SameDomainOri (const Standard_Integer I, const TopOpeBRepDS_Config Ori)
void | SameDomainOri (const TopoDS_Shape &S, const TopOpeBRepDS_Config Ori)
Standard_Integer | SameDomainInd (const Standard_Integer I) const
Standard_Integer | SameDomainInd (const TopoDS_Shape &S) const
void | SameDomainInd (const Standard_Integer I, const Standard_Integer Ind)
void | SameDomainInd (const TopoDS_Shape &S, const Standard_Integer Ind)
Standard_Integer | AncestorRank (const Standard_Integer I) const
Standard_Integer | AncestorRank (const TopoDS_Shape &S) const
void | AncestorRank (const Standard_Integer I, const Standard_Integer Ianc)
void | AncestorRank (const TopoDS_Shape &S, const Standard_Integer Ianc)
void | AddShapeInterference (const TopoDS_Shape &S, const Handle< TopOpeBRepDS_Interference > &I)
void | RemoveShapeInterference (const TopoDS_Shape &S, const Handle< TopOpeBRepDS_Interference > &I)
void | FillShapesSameDomain (const TopoDS_Shape &S1, const TopoDS_Shape &S2)
void | UnfillShapesSameDomain (const TopoDS_Shape &S1, const TopoDS_Shape &S2)
Standard_Integer | NbShapes () const
const TopoDS_Shape & | Shape (const Standard_Integer I, const Standard_Boolean K=Standard_True) const
| returns the shape of index I stored the maps More...
Standard_Integer | Shape (const TopoDS_Shape &S, const Standard_Boolean K=Standard_True) const
| returns the index of shape <S>, 0 if <S> is not in the maps. More...
Standard_Boolean | HasGeometry (const TopoDS_Shape &S) const
| Returns True if <S> has new geometries, i.e : True if S is stored and has an interference list not empty. More...
Standard_Boolean | HasShape (const TopoDS_Shape &S, const Standard_Boolean K=Standard_True) const
| Returns True if <S> is stored in the maps. More...

## Constructor & Destructor Documentation

TopOpeBRepDS_DSS::TopOpeBRepDS_DSS | ( |  | ) |

## Member Function Documentation

Standard_Integer TopOpeBRepDS_DSS::AddShape | ( | const TopoDS_Shape & | S | ) |

Insert a shape S. Returns the index.

Standard_Integer TopOpeBRepDS_DSS::AddShape | ( | const TopoDS_Shape & | S,
|  | const Standard_Integer | I
| ) |  |

Insert a shape S which ancestor is I = 1 or 2. Returns the index.

void TopOpeBRepDS_DSS::AddShapeInterference | ( | const TopoDS_Shape & | S,
|  | const Handle< TopOpeBRepDS_Interference > & | I
| ) |  |

void TopOpeBRepDS_DSS::AddShapeSameDomain | ( | const TopoDS_Shape & | S,
|  | const TopoDS_Shape & | SSD
| ) |  |

Standard_Integer TopOpeBRepDS_DSS::AncestorRank | ( | const Standard_Integer | I | ) | const

Standard_Integer TopOpeBRepDS_DSS::AncestorRank | ( | const TopoDS_Shape & | S | ) | const

void TopOpeBRepDS_DSS::AncestorRank | ( | const Standard_Integer | I,
|  | const Standard_Integer | Ianc
| ) |  |

void TopOpeBRepDS_DSS::AncestorRank | ( | const TopoDS_Shape & | S,
|  | const Standard_Integer | Ianc
| ) |  |

void TopOpeBRepDS_DSS::ChangeKeepShape | ( | const Standard_Integer | I,
|  | const Standard_Boolean | K
| ) |  |

void TopOpeBRepDS_DSS::ChangeKeepShape | ( | const TopoDS_Shape & | S,
|  | const Standard_Boolean | K
| ) |  |

TopOpeBRepDS_MapOfIntegerShapeData& TopOpeBRepDS_DSS::ChangeShapeData | ( |  | ) |

TopOpeBRepDS_ListOfInterference& TopOpeBRepDS_DSS::ChangeShapeInterferences | ( | const TopoDS_Shape & | S | ) |

TopOpeBRepDS_ListOfInterference& TopOpeBRepDS_DSS::ChangeShapeInterferences | ( | const Standard_Integer | I | ) |

TopTools_ListOfShape& TopOpeBRepDS_DSS::ChangeShapeSameDomain | ( | const TopoDS_Shape & | S | ) |

TopTools_ListOfShape& TopOpeBRepDS_DSS::ChangeShapeSameDomain | ( | const Standard_Integer | I | ) |

void TopOpeBRepDS_DSS::Clear | ( |  | ) |

void TopOpeBRepDS_DSS::FillShapesSameDomain | ( | const TopoDS_Shape & | S1,
|  | const TopoDS_Shape & | S2
| ) |  |

Standard_Boolean TopOpeBRepDS_DSS::HasGeometry | ( | const TopoDS_Shape & | S | ) | const

Returns True if <S> has new geometries, i.e : True if S is stored and has an interference list not empty.

Standard_Boolean TopOpeBRepDS_DSS::HasShape | ( | const TopoDS_Shape & | S,
|  | const Standard_Boolean | K = `Standard_True`
| ) |  | const

Returns True if <S> is stored in the maps.

Standard_Boolean TopOpeBRepDS_DSS::KeepShape | ( | const Standard_Integer | I,
|  | const Standard_Boolean | K = `Standard_True`
| ) |  | const

Standard_Boolean TopOpeBRepDS_DSS::KeepShape | ( | const TopoDS_Shape & | S,
|  | const Standard_Boolean | K = `Standard_True`
| ) |  | const

Standard_Integer TopOpeBRepDS_DSS::NbShapes | ( |  | ) | const

void TopOpeBRepDS_DSS::RemoveShapeInterference | ( | const TopoDS_Shape & | S,
|  | const Handle< TopOpeBRepDS_Interference > & | I
| ) |  |

void TopOpeBRepDS_DSS::RemoveShapeSameDomain | ( | const TopoDS_Shape & | S,
|  | const TopoDS_Shape & | SSD
| ) |  |

Standard_Integer TopOpeBRepDS_DSS::SameDomainInd | ( | const Standard_Integer | I | ) | const

Standard_Integer TopOpeBRepDS_DSS::SameDomainInd | ( | const TopoDS_Shape & | S | ) | const

void TopOpeBRepDS_DSS::SameDomainInd | ( | const Standard_Integer | I,
|  | const Standard_Integer | Ind
| ) |  |

void TopOpeBRepDS_DSS::SameDomainInd | ( | const TopoDS_Shape & | S,
|  | const Standard_Integer | Ind
| ) |  |

TopOpeBRepDS_Config TopOpeBRepDS_DSS::SameDomainOri | ( | const Standard_Integer | I | ) | const

TopOpeBRepDS_Config TopOpeBRepDS_DSS::SameDomainOri | ( | const TopoDS_Shape & | S | ) | const

void TopOpeBRepDS_DSS::SameDomainOri | ( | const Standard_Integer | I,
|  | const TopOpeBRepDS_Config | Ori
| ) |  |

void TopOpeBRepDS_DSS::SameDomainOri | ( | const TopoDS_Shape & | S,
|  | const TopOpeBRepDS_Config | Ori
| ) |  |

Standard_Integer TopOpeBRepDS_DSS::SameDomainRef | ( | const Standard_Integer | I | ) | const

Standard_Integer TopOpeBRepDS_DSS::SameDomainRef | ( | const TopoDS_Shape & | S | ) | const

void TopOpeBRepDS_DSS::SameDomainRef | ( | const Standard_Integer | I,
|  | const Standard_Integer | Ref
| ) |  |

void TopOpeBRepDS_DSS::SameDomainRef | ( | const TopoDS_Shape & | S,
|  | const Standard_Integer | Ref
| ) |  |

const TopoDS_Shape& TopOpeBRepDS_DSS::Shape | ( | const Standard_Integer | I,
|  | const Standard_Boolean | K = `Standard_True`
| ) |  | const

returns the shape of index I stored the maps

Standard_Integer TopOpeBRepDS_DSS::Shape | ( | const TopoDS_Shape & | S,
|  | const Standard_Boolean | K = `Standard_True`
| ) |  | const

returns the index of shape <S>, 0 if <S> is not in the maps.

const TopOpeBRepDS_ListOfInterference& TopOpeBRepDS_DSS::ShapeInterferences | ( | const TopoDS_Shape & | S,
|  | const Standard_Boolean | K = `Standard_True`
| ) |  | const

const TopOpeBRepDS_ListOfInterference& TopOpeBRepDS_DSS::ShapeInterferences | ( | const Standard_Integer | I,
|  | const Standard_Boolean | K = `Standard_True`
| ) |  | const

const TopTools_ListOfShape& TopOpeBRepDS_DSS::ShapeSameDomain | ( | const TopoDS_Shape & | S | ) | const

const TopTools_ListOfShape& TopOpeBRepDS_DSS::ShapeSameDomain | ( | const Standard_Integer | I | ) | const

void TopOpeBRepDS_DSS::UnfillShapesSameDomain | ( | const TopoDS_Shape & | S1,
|  | const TopoDS_Shape & | S2
| ) |  |

The documentation for this class was generated from the following file:

- TopOpeBRepDS_DSS.hxx